package com.ruoyi.pay.type.weixin.param;

public class WxPaySendData {
	private String appid;
	private String attach;
	private String body;
	private String mch_id;
	private String nonce_str;
	private String notify_url;
	private String openid;
	private String out_trade_no;
	private String spbill_create_ip;
	private int total_fee;
	private String trade_type;
//	private String device_info;
	private String sign;
	private String key;
	
	
	public WxPaySendData() {
	}
	public WxPaySendData(String appid, String attach, String body,
                         String mchId, String nonceStr, String notifyUrl, String outTradeNo,
                         double totalFee, String tradeType, String spbillCreateIp,
                         String openid/*, String deviceInfo*/) {
		this.appid = appid;
		this.attach = attach;
		this.body = body;
		this.mch_id = mchId;
		this.nonce_str = nonceStr;
		this.notify_url = notifyUrl;
		this.out_trade_no = outTradeNo;
		this.total_fee = (int)(totalFee*100);
		this.trade_type = tradeType;
		this.spbill_create_ip = spbillCreateIp;
		this.openid = openid;
//		this.device_info = deviceInfo;
	}
	public String getAppid() {
		return appid;
	}
	public void setAppid(String appid) {
		this.appid = appid;
	}
	public String getAttach() {
		return attach;
	}
	public void setAttach(String attach) {
		this.attach = attach;
	}
	public String getBody() {
		return body;
	}
	public void setBody(String body) {
		this.body = body;
	}
	public String getMch_id() {
		return mch_id;
	}
	public void setMch_id(String mchId) {
		mch_id = mchId;
	}
	public String getNonce_str() {
		return nonce_str;
	}
	public void setNonce_str(String nonceStr) {
		nonce_str = nonceStr;
	}
	public String getNotify_url() {
		return notify_url;
	}
	public void setNotify_url(String notifyUrl) {
		notify_url = notifyUrl;
	}
	public String getOut_trade_no() {
		return out_trade_no;
	}
	public void setOut_trade_no(String outTradeNo) {
		out_trade_no = outTradeNo;
	}
	public int getTotal_fee() {
		return total_fee;
	}
	public void setTotal_fee(int totalFee) {
		total_fee = totalFee;
	}
	public String getTrade_type() {
		return trade_type;
	}
	public void setTrade_type(String tradeType) {
		trade_type = tradeType;
	}
	public String getSpbill_create_ip() {
		return spbill_create_ip;
	}
	public void setSpbill_create_ip(String spbillCreateIp) {
		spbill_create_ip = spbillCreateIp;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
//	public String getDevice_info() {
//		return device_info;
//	}
//	public void setDevice_info(String deviceInfo) {
//		device_info = deviceInfo;
//	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}

	@Override
	public String toString() {
		return "WxPaySendData{" +
				"appid='" + appid + '\'' +
				", attach='" + attach + '\'' +
				", body='" + body + '\'' +
				", mch_id='" + mch_id + '\'' +
				", nonce_str='" + nonce_str + '\'' +
				", notify_url='" + notify_url + '\'' +
				", openid='" + openid + '\'' +
				", out_trade_no='" + out_trade_no + '\'' +
				", spbill_create_ip='" + spbill_create_ip + '\'' +
				", total_fee=" + total_fee +
				", trade_type='" + trade_type + '\'' +
				", sign='" + sign + '\'' +
				", key='" + key + '\'' +
				'}';
	}
}
